<?php
// phpcs:disable WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedVariableFound,WordPress.Security.NonceVerification.Recommended
/**
 * The attributes passed on through the shortcode/block.
 *
 * @var array $atts
 */
$style     = "background-color: {$atts['bg_color']}; color: {$atts['text_color']};";
$id_suffix = random_int( 1000, 9999 ); // Keep id's unique in case someone includes multiple shipping forms one page. Still not recommended.
$value     = '';
if ( ! empty( $_GET['order-number'] ) && is_numeric( $_GET['order-number'] ) ) {
	$value = absint( $_GET['order-number'] );
}
$svg_url = UAFRICA_SHIPPING_URL . 'assets/icons/';
?>
<div class="uafrica-shipping-container">
	<div class="shipping-step-form">
		<form action="" method="get">
			<label>
				<span class="screen-reader-text"><?php esc_html_e( 'Order number', 'uafrica-shipping' ); ?></span>
				<input type="text" name="order-number" required aria-required="true" class="order-nr-input"
					value="<?php echo esc_attr( $value ); ?>" placeholder="Enter your tracking reference or order number"/>
			</label><br/>
			<div class="validation hidden"></div>
			<button type="submit" style="<?php echo esc_attr( $style ); ?>">
				<?php esc_html_e( 'Track order', 'uafrica-shipping' ); ?>
			</button>
		</form>
	</div><!-- .shipping-step-form -->
	<div class="shipping-step-status frontend hidden">
		<header>
			<h3>
				<?php
				// translators: #%s the order number.
				printf( __( 'Tracking information for order #%s', 'uafrica-shipping' ), '<span data-uafrica="custom_order_name"></span>' ); // phpcs:ignore WordPress.Security.EscapeOutput
				?>
			</h3>
			<div class="shipping-provider">
				<span class="name"><?php esc_html_e( 'Shipping provider:', 'uafrica-shipping' ); ?></span>
				<span data-uafrica="courier_name"></span>
			</div>
			<div class="tracking-ua">
				<span class="name"><?php esc_html_e( 'Tracking #:', 'uafrica-shipping' ); ?></span>
				<span data-uafrica="id"></span>
			</div>
			<h4 class="global-status"
				style="<?php echo esc_attr( $style ); ?>">
				<span data-uafrica="status"></span>
			</h4>
		</header>

		<!-- template is only used to create new steps in the checkpoint-->
		<div data-uafrica="checkpoints-template" class="hidden">
			<div class="step">
				<div data-uafrica="time"></div>
				<div data-uafrica="icon">
					<div class="empty"><!-- default empty circle --></div>
					<div
						class="active hidden out-for-delivery"
						style="<?php echo esc_attr( $style ); ?>">
						<?php echo file_get_contents( $svg_url . 'shipping-fast-solid.svg' ); //phpcs:ignore ?>
					</div>
					<div
						class="active hidden delivered"
						style="<?php echo esc_attr( $style ); ?>">
						<?php echo file_get_contents( $svg_url . 'flag-checkered-solid.svg' ); //phpcs:ignore ?>
					</div>
				</div>
				<div class="info">
					<div data-uafrica="status"></div>
					<div data-uafrica="message"></div>
					<div data-uafrica="location"></div>
				</div>
			</div>
		</div><!-- .checkpoints-template-->
		<div class="checkpoints"><!-- rendered checkpoint steps go in here --></div>
		<div class="follow-up">
			<?php
			printf(
			// translators: %1$s Courier name %2$s Courier phone number %3$s order ID.
				esc_html__( 'For additional information, please contact %1$s (%2$s) and quote tracking reference %3$s.', 'uafrica-shipping' ),
				'<span data-uafrica="courier_name"></span>',
				'<span data-uafrica="courier_phone"></span>',
				'<span data-uafrica="id"></span>'
			);
			?>
		</div>
	</div><!-- .shipping-step-status -->
</div><!-- .uafrica-shipping-container -->
